# PhotoHUB
Just a simple python program to generate static site

## Screenshots

### Bulk Page
![](./screenshots/page.png)

### Bulk Album Page
![](./screenshots/album.png)

## Installation
``` sh
python3 -m venv venv
python3 -m pip -r requirements.txt
```

## Usage

Move and rename file with
```sh
python3 tools/copy.py %your raws% %site location%/bulk/
```
Here you can edit your pictures.

Then

Generate html page with
``` sh
python3 src/main.py %site location%
```

## File

### File tree

File before `python src/main.py test_out`
```
test_out/
└── bulk
    └── 00001
        ├── 00001.NEF
        ├── 00001.png
        └── 00001.png.out.pp3
```
### Bulk

#### Mandatory
- a .png

#### Optionnal
- **raw** {*.NEF}
- **readme.md**
- (png file)**.out.pp3**: permit viewer to download it

File after `python src/main.py test_out`
```
test_out/
├── bulk
│   └── 00001
│       ├── 00001_categories.txt
│       ├── 00001.NEF
│       ├── 00001.png
│       ├── 00001.png.out.pp3
│       ├── 00001_small.jpg
│       ├── 00001_thumb.jpg
│       ├── page.html
│       └── readme.md
└── index.html
```

### Can be fill

#### _categories.txt
A file to organize your picture, 1 per line like
```
cats
portraits
```
#### readme.md**
A markdown file in the top of the bulk page