converters: list[str, dict[str, str]] = {
    "title": {
        "from_prefix": "# ",
        "from_suffix": "\n",
        "to_prefix": "<h1>",
        "to_suffix": "</h1>",
    },
    "subtitle": {   
        "from_prefix": "## ",
        "from_suffix": "\n",
        "to_prefix": "<h2>",
        "to_suffix": "</h2>",
    },
    "subsubtitle": {   
        "from_prefix": "### ",
        "from_suffix": "\n",
        "to_prefix": "<h3>",
        "to_suffix": "</h3>",
    },
    "subsubsubtitle": {   
        "from_prefix": "#### ",
        "from_suffix": "\n",
        "to_prefix": "<h4>",
        "to_suffix": "</h4>",
    },
    "quote": {
        "from_prefix": "`",
        "from_suffix": "`",
        "to_prefix": "<p><code>",
        "to_suffix": "</code></p>",
    },
    "bold": {
        "from_prefix": "**",
        "from_suffix": "**",
        "to_prefix": "<strong>",
        "to_suffix": "</strong>",
    },
    "list": {
        "from_prefix": "- ",
        "from_suffix": "\n",
        "code": "bozodown:list",
    },
    "code": {
        "from_prefix": "```",
        "from_suffix": "```",
        "to_prefix": "<pre><code>",
        "to_suffix": "</code></pre>",
    },
    "image": {
        "from_prefix": "![",
        "from_suffix": "]",
        "to_prefix": "<img src='",
        "to_suffix": "'>",
    },
    "block": {
        "from_prefix": "-----",
        "from_suffix": "-----",
        "code": "bozodown:block",
    },
    "checkbox_clear": {
        "from_prefix": "- [ ] ",
        "from_suffix": "\n",
        "to_prefix": "<li><input type='checkbox' disabled> ",
        "to_suffix": "</li>",
    },
    "checkbox_full": {
        "from_prefix": "- [x] ",
        "from_suffix": "\n",
        "to_prefix": "<li><input type='checkbox' checked disabled> ",
        "to_suffix": "</li>",
    },
    "newline": {
        "from_prefix": "<br>",
        "from_suffix": "",
        "to_prefix": "<br>",
    },
}

text_converter: dict[str, str] = {
    "from_prefix": "",
    "to_prefix": "<p>",
    "to_suffix": "</p>",
}