from __future__ import annotations

from typing import TYPE_CHECKING

from bozodown.bozodown import Bozodown

if TYPE_CHECKING:
    from picture import Picture
    from bulk_page import BulkPage

class Photodown(Bozodown):

    def __init__(self):
        super().__init__()
        self._specific_case_namespaces.update({"photohub": self._photohub_render})
        image_converter = self._converters.get("image")
        image_converter.update({"code": "photohub:image"})
        self._bulk: list[Picture] = []

    def add_bulk(self, bulk: list[Picture]):
        self._bulk = bulk.copy()

    def _photohub_render(self, id: str, text: str) -> str:
        if (id == "image"):
            picture_url = f"{text[2:-1]}"

            return f"<img src='{picture_url}'>"
                
